export = Entity;
/**
 * Initialize new `Entity` with `options`.
 *
 * @param {Object} options
 */
declare function Entity(options: any): void;
declare class Entity {
    /**
     * Initialize new `Entity` with `options`.
     *
     * @param {Object} options
     */
    constructor(options: any);
    initialize(): void;
    _storage: any;
    storage(): any;
    options(options: any, ...args: any[]): any;
    _options: any;
    id(id: string, ...args: any[]): string | void;
    _getId(): string;
    _getIdFromCookie(): string;
    _getIdFromLocalStorage(): string;
    _setId(id: string): void;
    _id: string;
    _setIdInCookies(id: string): void;
    _setIdInLocalStorage(id: string): void;
    /**
     * Get or set the entity's `traits`.
     *
     * BACKWARDS COMPATIBILITY: aliased to `properties`
     *
     * @param {Object} traits
     */
    properties: (traits: any, ...args: any[]) => any;
    traits(traits: any, ...args: any[]): any;
    _getTraits(): any;
    _setTraits(traits: any): void;
    _traits: any;
    identify(id: string, traits: any): void;
    save(): boolean;
    logout(): void;
    reset(): void;
    load(): void;
}
